using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Input.Touch;
using Microsoft.Xna.Framework.Media;
namespace WildTrain
{
    class Particle
    {
        private Vector2 direction;
        private Vector2 init_position;
        private Vector2 position;
        private Texture2D texture;
        private float energy;
        public double created;
        private bool alive;
		double rand;
        private Color color;

        public Particle(Texture2D temp_texture, Vector2 temp_init_position, Vector2 temp_direction, float temp_energy, double gameTime, Color temp_color)
        {
            alive = true;
            direction = temp_direction;
            texture = temp_texture;
            energy = temp_energy;
            init_position = temp_init_position;
            created = gameTime;
            position = init_position;
			rand =0.5f*( new Random().NextDouble()) + 0.5f;
            color = temp_color;
			

        }



        public void Update(GameTime gameTime)
        {
            position.X += direction.X;
			position.X *= (float)rand;
            position.Y += direction.Y;

        }



        public void Draw(SpriteBatch spritebatch)
        {

            spritebatch.Draw(texture, new Rectangle((int)position.Y, (int)position.X, texture.Width, texture.Height), color);

        }



    }
}
