using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Media;

namespace WildTrain
{
    static class LoadHelper
    {
        public static Dictionary<TextureEnum, Texture2D> Textures;
        //public static Dictionary<SoundEnum, SoundEffect> Sounds;
        public static Dictionary<FontEnum, SpriteFont> Fonts;
        //public static Dictionary<ModelEnum, Model> Models;
        //public static Dictionary<SongEnum, Song> Songs;
        //public static Dictionary<OptionsTextureEnum, Texture2D> OptionsTextures;


        public static void Load(ContentManager content)
        {
            Textures = new Dictionary<TextureEnum, Texture2D>();
            //Sounds = new Dictionary<SoundEnum, SoundEffect>();
            Fonts = new Dictionary<FontEnum, SpriteFont>();
            //Models = new Dictionary<ModelEnum, Model>();
            //Songs = new Dictionary<SongEnum, Song>();
            ////Song Song = content.Load<Song>(@"Songs\powerJuice");
            //OptionsTextures = new Dictionary<OptionsTextureEnum, Texture2D>();

            ////Models.Add(ModelEnum.Enemy, content.Load<Model>(@"Models\Enemy"));
            ////Models.Add(ModelEnum.Fist, content.Load<Model>("LeftHandArmatureTest"));
            //Models.Add(ModelEnum.Fist, content.Load<Model>("NewLeftHandArmatureTest"));
            ////Models.Add(ModelEnum.Enemy, content.Load<Model>("EnemyArmatureTest"));
            //Models.Add(ModelEnum.Enemy, content.Load<Model>("Enemy"));
            ////good
            //Textures.Add(TextureEnum.argh, content.Load<Texture2D>(@"Textures\hits\aaarghh"));
            //Textures.Add(TextureEnum.bang, content.Load<Texture2D>(@"Textures\hits\bang"));
            //Textures.Add(TextureEnum.boom, content.Load<Texture2D>(@"Textures\hits\boom"));
            //Textures.Add(TextureEnum.owned, content.Load<Texture2D>(@"Textures\hits\owned"));
            //Textures.Add(TextureEnum.pow, content.Load<Texture2D>(@"Textures\hits\pow"));
            //Textures.Add(TextureEnum.punch, content.Load<Texture2D>(@"Textures\hits\punch"));
            //Textures.Add(TextureEnum.pwnt, content.Load<Texture2D>(@"Textures\hits\pwnt"));
            //Textures.Add(TextureEnum.kaboom, content.Load<Texture2D>(@"Textures\hits\kaboom"));
            ////bad
            //Textures.Add(TextureEnum.boo, content.Load<Texture2D>(@"Textures\hits\boooo"));
            //Textures.Add(TextureEnum.buu, content.Load<Texture2D>(@"Textures\hits\buuuu"));
            //Textures.Add(TextureEnum.fail, content.Load<Texture2D>(@"Textures\hits\fail"));
            //Textures.Add(TextureEnum.lame, content.Load<Texture2D>(@"Textures\hits\lame"));
            //Textures.Add(TextureEnum.loser, content.Load<Texture2D>(@"Textures\hits\loser"));
            //Textures.Add(TextureEnum.ouch, content.Load<Texture2D>(@"Textures\hits\ouch"));


            //Textures.Add(TextureEnum.winned, content.Load<Texture2D>(@"Textures\hits\winned"));
            //Textures.Add(TextureEnum.winner, content.Load<Texture2D>(@"Textures\hits\winner"));
            //Textures.Add(TextureEnum.kod, content.Load<Texture2D>(@"Textures\hits\kod"));

            //Textures.Add(TextureEnum.border1, content.Load<Texture2D>(@"Textures\borders\borders"));
            //Textures.Add(TextureEnum.border2, content.Load<Texture2D>(@"Textures\borders\borders-2"));
            //Textures.Add(TextureEnum.border3, content.Load<Texture2D>(@"Textures\borders\borders-3"));
            //Textures.Add(TextureEnum.border4, content.Load<Texture2D>(@"Textures\borders\borders-4"));
            //Textures.Add(TextureEnum.border5, content.Load<Texture2D>(@"Textures\borders\borders-5"));
            //Textures.Add(TextureEnum.border6, content.Load<Texture2D>(@"Textures\borders\borders-6"));
            //Textures.Add(TextureEnum.border7, content.Load<Texture2D>(@"Textures\borders\borders-7"));

            //Textures.Add(TextureEnum.healthbar, content.Load<Texture2D>(@"Textures\HealthBar2"));
            //Textures.Add(TextureEnum.background, content.Load<Texture2D>(@"Textures\background"));

            //Sounds.Add(SoundEnum.crowdbad, content.Load<SoundEffect>(@"Sounds\crowdbad"));
            //Sounds.Add(SoundEnum.crowdgood, content.Load<SoundEffect>(@"Sounds\crowdgood"));
            //Sounds.Add(SoundEnum.kod, content.Load<SoundEffect>(@"Sounds\kod"));
            //Sounds.Add(SoundEnum.punch01, content.Load<SoundEffect>(@"Sounds\punch01"));
            //Sounds.Add(SoundEnum.punch02, content.Load<SoundEffect>(@"Sounds\punch02"));
            //Sounds.Add(SoundEnum.punch03, content.Load<SoundEffect>(@"Sounds\punch03"));

            //Sounds.Add(SoundEnum.uh01, content.Load<SoundEffect>(@"Sounds\uh01"));
            //Sounds.Add(SoundEnum.uh02, content.Load<SoundEffect>(@"Sounds\uh02"));

            //Songs.Add(SongEnum.powerJuice, content.Load<Song>(@"Songs\powerJuice"));

            //#region Load Menu textures
            //OptionsTextures.Add(OptionsTextureEnum.arcade, content.Load<Texture2D>(@"Textures\options\arcade"));
            //OptionsTextures.Add(OptionsTextureEnum.flee, content.Load<Texture2D>(@"Textures\options\flee"));
            //OptionsTextures.Add(OptionsTextureEnum.game_mode, content.Load<Texture2D>(@"Textures\options\game_mode"));
            //OptionsTextures.Add(OptionsTextureEnum.hp, content.Load<Texture2D>(@"Textures\options\hp"));
            //OptionsTextures.Add(OptionsTextureEnum.hud, content.Load<Texture2D>(@"Textures\options\hud"));
            //OptionsTextures.Add(OptionsTextureEnum.off, content.Load<Texture2D>(@"Textures\options\off"));
            //OptionsTextures.Add(OptionsTextureEnum.on, content.Load<Texture2D>(@"Textures\options\on"));
            //OptionsTextures.Add(OptionsTextureEnum.options, content.Load<Texture2D>(@"Textures\options\options"));
            //OptionsTextures.Add(OptionsTextureEnum.simulator, content.Load<Texture2D>(@"Textures\options\simulator"));
            //OptionsTextures.Add(OptionsTextureEnum.start_game, content.Load<Texture2D>(@"Textures\options\start_game"));

            Textures.Add(TextureEnum.logo, content.Load<Texture2D>(@"Pictures\Logo"));
            Textures.Add(TextureEnum.highscore, content.Load<Texture2D>(@"Pictures\Highscore"));
            Textures.Add(TextureEnum.mainmenu, content.Load<Texture2D>(@"Pictures\MainMenu"));
            Textures.Add(TextureEnum.selectlevel, content.Load<Texture2D>(@"Pictures\SelectLevel"));


            Textures.Add(TextureEnum.background, content.Load<Texture2D>(@"Pictures\Background"));
            Textures.Add(TextureEnum.foreground, content.Load<Texture2D>(@"Pictures\foreground"));
            Textures.Add(TextureEnum.train, content.Load<Texture2D>(@"Pictures\train"));



            Textures.Add(TextureEnum.tracks, content.Load<Texture2D>(@"Pictures\Track"));
            Textures.Add(TextureEnum.coal, content.Load<Texture2D>(@"Pictures\coal1"));

            Textures.Add(TextureEnum.water, content.Load<Texture2D>(@"Pictures\wdrop2"));
            Textures.Add(TextureEnum.bomb, content.Load<Texture2D>(@"Pictures\bomb1"));
            Textures.Add(TextureEnum.tool, content.Load<Texture2D>(@"Pictures\tools1"));
            Textures.Add(TextureEnum.icon_score, content.Load<Texture2D>(@"Pictures\icon_score"));
            Textures.Add(TextureEnum.cactus, content.Load<Texture2D>(@"Pictures\cactus"));
            Textures.Add(TextureEnum.dust, content.Load<Texture2D>(@"Pictures\dust"));
            Textures.Add(TextureEnum.smoke, content.Load<Texture2D>(@"Pictures\smoke"));

            Textures.Add(TextureEnum.temp_bar, content.Load<Texture2D>(@"Pictures\temp_bar"));
            Textures.Add(TextureEnum.mine, content.Load<Texture2D>(@"Pictures\mine"));
            Textures.Add(TextureEnum.town, content.Load<Texture2D>(@"Pictures\town"));
            Textures.Add(TextureEnum.goal1, content.Load<Texture2D>(@"Pictures\goal1"));
            Textures.Add(TextureEnum.goal2, content.Load<Texture2D>(@"Pictures\goal2"));
            Textures.Add(TextureEnum.goal3, content.Load<Texture2D>(@"Pictures\goal3"));
            Textures.Add(TextureEnum.goal4, content.Load<Texture2D>(@"Pictures\goal4"));
            Textures.Add(TextureEnum.goal5, content.Load<Texture2D>(@"Pictures\goal5"));
            Textures.Add(TextureEnum.bar, content.Load<Texture2D>(@"Pictures\bar"));
            Textures.Add(TextureEnum.game_over, content.Load<Texture2D>(@"Pictures\game_over"));
            Textures.Add(TextureEnum.victory, content.Load<Texture2D>(@"Pictures\victory"));
            Textures.Add(TextureEnum.more_coal, content.Load<Texture2D>(@"Pictures\more_coal"));
            Textures.Add(TextureEnum.more_water, content.Load<Texture2D>(@"Pictures\more_water"));
            Textures.Add(TextureEnum.count_1, content.Load<Texture2D>(@"Pictures\1"));
            Textures.Add(TextureEnum.count_2, content.Load<Texture2D>(@"Pictures\2"));
            Textures.Add(TextureEnum.count_3, content.Load<Texture2D>(@"Pictures\3"));
            Textures.Add(TextureEnum.count_go, content.Load<Texture2D>(@"Pictures\go"));
            Textures.Add(TextureEnum.cowboy, content.Load<Texture2D>(@"Pictures\cowboy1"));
            Textures.Add(TextureEnum.puff, content.Load<Texture2D>(@"Pictures\puff"));

            //#endregion

            #region load fonts
            Fonts.Add(FontEnum.Arial22, content.Load<SpriteFont>(@"Fonts\Arial22"));
            Fonts.Add(FontEnum.Arial42, content.Load<SpriteFont>(@"Fonts\Arial42"));
            #endregion
        }
    }

    


    public enum FontEnum
    {
        Arial22,
        Arial42
    }

    public enum TextureEnum
    {
        logo,
        highscore,
        mainmenu,
        selectlevel,
        background,
        foreground,
        train,
        tracks,
        coal,
        water,
        bomb,
        tool,
        icon_score,
        cactus,
        dust,
        smoke,
        temp_bar,
        mine,
        town,
        goal1,
        goal2,
        goal3,
        goal4,
        goal5,
        bar,
        game_over,
        victory,
        more_coal,
        more_water,
        count_1,
        count_2,
        count_3,
        count_go,
        cowboy,
        puff
    }

}
